/********************************** (C) COPYRIGHT *******************************
 * File Name          : main.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2021/06/06
 * Description        : Main program body.
*********************************************************************************
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for 
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/

/*
 *@Note
 two-wire full duplex mode, master/slave mode, data transceiver:
 Master:SPI1_SCK(PA5)\SPI1_MISO(PA6)\SPI1_MOSI(PA7).
 Slave:SPI1_SCK(PA5)\SPI1_MISO(PA6)\SPI1_MOSI(PA7).
 
 This example demonstrates simultaneous full-duplex transmission and
 reception between Master and Slave.
 Note: The two boards download the Master and Slave programs respectively,
 and power on at the same time.
    Hardware connection:PA5 -- PA5
                        PA6 -- PA6
                        PA7 -- PA7
 
*/


#include "debug.h"
#include "string.h"
#include "spi.h"
#include "lcd.h"
#include "GUI.h"
#include "test.h"

/* SPI Mode Definition */
#define HOST_MODE   0
#define SLAVE_MODE   1

/* SPI Communication Mode Selection */
//#define SPI_MODE   HOST_MODE
#define SPI_MODE   SLAVE_MODE


/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
	u8 i=0;
	u8 j=0;
	u8 value;

	Delay_Init();
	USART_Printf_Init(115200);
	printf("SystemClk:%d\r\n",SystemCoreClock);
	LCD_Init();
	LCD_LED_SET;
	Delay_Ms(1500);
	LCD_LED_CLR;

	while(1)
	{
	    DrawTestPage("CH32V208_LCD_DEMO");
	    Gui_StrCenter(0,30,RED,BLUE,"ɽԪ",16,1);//ʾ
	    Gui_StrCenter(0,60,RED,BLUE,"CH32Գ",16,1);//ʾ
	    Gui_StrCenter(0,90,GREEN,BLUE,"2.8\" ILI9341 240X320",16,1);//ʾ
	    Gui_StrCenter(0,120,BLUE,BLUE,"flow    225.56 t/h",16,1);//ʾ
	    Gui_StrCenter(0,150,BLUE,BLUE,"one_mass10.09 t/h",16,1);//ʾ
	    Gui_StrCenter(0,180,BLUE,BLUE,"setting   20.35 t",16,1);//ʾ
	    Delay_Ms(1500);
	    Delay_Ms(1500);
	    while(1);
	}
}
